Bug 658369 - Can't copy files with spaces in filename
Can't copy files with spaces in filename
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
14
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Triaged
: 652164 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 02:10 EST by Moses
Modified: 2012-08-16 15:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:35:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moses 2010-11-30 02:10:18 EST
Description of problem:

Error message returned when attempting to copy a file with spaces in the filename

Version-Release number of selected component (if applicable):

Version 0.9.8
Release 1.fc14

How reproducible:

Consistent

Steps to Reproduce:
1. Select file (must have spaces in it name) to copy
2. paste file
3.
  
Actual results:

(pcmanfm:29554): Gtk-CRITICAL **: IA__gtk_text_buffer_insert_with_tags: assertion `text != NULL' failed
** (pcmanfm:29554): DEBUG: file operation is finished!
** (pcmanfm:29554): DEBUG: FmJob error: No such file or directory
** (pcmanfm:29554): DEBUG: total size to copy: 0
** (pcmanfm:29554): DEBUG: FmJob error: Error stating file '/home/mmiles/Dropbox/milesahead/Consulting/ATHN/July%20-%20Nov%202010%20Contract/ATHN%20Miles%20Ahead%20Signed%20Contract.pdf': No such file or directory

(pcmanfm:29554): Gtk-CRITICAL **: IA__gtk_text_buffer_insert_with_tags: assertion `text != NULL' failed
** (pcmanfm:29554): DEBUG: file operation is finished!


Expected results:

files copied


Additional info:
Comment 1 Brendan Jones 2010-11-30 07:15:27 EST
I believe this has been fixed upstream:
http://sourceforge.net/tracker/?func=detail&atid=801864&aid=3089625&group_id=156956




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Brendan Jones 2010-11-30 07:17:22 EST
*** Bug 652164 has been marked as a duplicate of this bug. ***
Comment 3 Moses 2010-12-02 00:50:29 EST
I'm willing to test when the updated version has been packaged.
Comment 4 Mamoru TASAKA 2010-12-03 16:25:36 EST
The fix appears in libfm side, however neither libfm 0.1.14 nor
libfm git head compile on rawhide due to this change

http://git.gnome.org/browse/glib/commit/?h=tls&id=9b262f1c5

I will poke the upstream about this issue.
Comment 5 Fedora End Of Life 2012-08-16 15:35:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.